std::experimental::filesystem::path::iterator(3cxx)

NAME
std::experimental::filesystem::path::iterator - An iterator for the components of a path.

SYNOPSIS

  Public Types

using difference_type = std::ptrdiff_t
using iterator_category = std::bidirectional_iterator_tag
using pointer = const path *
using reference = const path &
using value_type = path

  Public Member Functions

iterator (const iterator &)=default
reference operator* () const noexcept
iterator & operator++ () noexcept
iterator operator++ (int) noexcept
iterator & operator-- () noexcept
iterator operator-- (int) noexcept
pointer operator-> () const noexcept
iterator & operator= (const iterator &)=default

  Friends

bool operator!= (const iterator &__lhs, const iterator &__rhs) noexcept
bool operator== (const iterator &__lhs, const iterator &__rhs) noexcept
class path

Detailed Description

An iterator for the components of a path.

Author

Generated automatically by Doxygen for libstdc++ from the source code.